Bug 616240 - [abrt] crash in liferea-1:1.6.4-1.fc13: raise: Process /usr/bin/liferea was killed by signal 6 (SIGABRT)
[abrt] crash in liferea-1:1.6.4-1.fc13: raise: Process /usr/bin/liferea was k...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
abrt_hash:8640fc0905a027bfe7b2419bddd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 17:34 EDT by Tom Georgoulias
Modified: 2010-10-13 12:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 12:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.81 KB, text/plain)
2010-07-19 17:34 EDT, Tom Georgoulias
no flags Details

  None (edit)
Description Tom Georgoulias 2010-07-19 17:34:07 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: liferea --debug-all &> /dev/null
comment: These frequent crashes are so frustrating.  Is there anything that I can do to provide better info to fix this bug?  I've tried running with --debug-all and it doesn't prevent crashes like it did for another user, so I'm at a loss over what my next move should be.
component: liferea
crash_function: raise
executable: /usr/bin/liferea
global_uuid: 8640fc0905a027bfe7b2419bddd156ea4999fd08
kernel: 2.6.33.6-147.fc13.i686.PAE
package: liferea-1:1.6.4-1.fc13
rating: 4
reason: Process /usr/bin/liferea was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Click on a blog posting
2.
3.
Comment 1 Tom Georgoulias 2010-07-19 17:34:10 EDT
Created attachment 433015 [details]
File: backtrace
Comment 2 Tom Georgoulias 2010-07-21 09:22:11 EDT
Package: liferea-1:1.6.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Click on a blog posting.
2.
3.
Comment 3 Tom Georgoulias 2010-07-21 11:43:55 EDT
Package: liferea-1:1.6.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Click on a blog posting.
2.
3.
Comment 4 Tom Georgoulias 2010-07-21 22:36:22 EDT
Package: liferea-1:1.6.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Clicked on a blog posting.
2.
3.
Comment 5 martygeek 2010-08-03 22:29:50 EDT
Package: liferea-1:1.6.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.not reproduceable, but frequent. first crash under debug mode/ dump
2.
3.


Comment
-----
HTML: HTML view: selecting "GOP Rep Doubles Down: Yes, We Ought To Execute WikiLeaks Culprit (VIDEO)"
DB: loading item 30866 (thread=0x8a74e48)
DB: loading item 30866 (thread=0x8a74e48)
DB: loading item 30866 (thread=0x8a74e48)
PERF: htmlview_render_item took 0,001s
HTML: writing 7769 bytes to HTML view
GUI: itemlist selection took 0,157s
PERF: itemlist_selection_changed took 0,157s
** (liferea:2625): DEBUG: NP_Initialize
** (liferea:2625): DEBUG: NP_Initialize succeeded
*** glibc detected *** liferea: double free or corruption (!prev): 0x08b46c60 ***
======= Backtrace: =========
/lib/libc.so.6[0x612fe1]
/lib/libglib-2.0.so.0(g_free+0x37)[0x7e3ff7]
/usr/lib/jvm/jre-1.6.0-openjdk/lib/i386/IcedTeaPlugin.so(NP_Initialize+0x769)[0xe8d1a9]
/usr/lib/libwebkit-1.0.so.2[0x505dff0]
/usr/lib/libwebkit-1.0.so.2[0x505e213]
/usr/lib/libwebkit-1.0.so.2[0x4e0210a]
/usr/lib/libwebkit-1.0.so.2[0x4dfb8e4]
/usr/lib/libwebkit-1.0.so.2[0x4dfc324]
/usr/lib/libwebkit-1.0.so.2[0x4ced6e4]
/usr/lib/libwebkit-1.0.so.2[0x50b1675]
/usr/lib/libwebkit-1.0.so.2[0x4c6eb24]
/usr/lib/libwebkit-1.0.so.2[0x4c3e798]
/usr/lib/libwebkit-1.0.so.2[0x4b70921]
/usr/lib/libwebkit-1.0.so.2[0x4c3e04f]
/usr/lib/libwebkit-1.0.so.2[0x4b4770a]
/usr/lib/libwebkit-1.0.so.2[0x4b38e5c]
/usr/lib/libwebkit-1.0.so.2[0x4b3903f]
/usr/lib/libwebkit-1.0.so.2[0x4b79582]
/usr/lib/libwebkit-1.0.so.2[0x4b7b2b0]
/usr/lib/libxml2.so.2(-0xffd2051a)[0x145ae6]
/usr/lib/libxml2.so.2(-0xffd19ee3)[0x14c11d]
/usr/lib/libxml2.so.2(xmlParseChunk+0x217)[0x14d597]
/usr/lib/libwebkit-1.0.so.2[0x4b7844c]
/usr/lib/libwebkit-1.0.so.2[0x4b764cd]
/usr/lib/libwebkit-1.0.so.2[0x4cf3bb9]
/usr/lib/libwebkit-1.0.so.2[0x4cf40e8]
/usr/lib/libwebkit-1.0.so.2[0x50b4559]
/usr/lib/libwebkit-1.0.so.2[0x4ceb508]
/usr/lib/libwebkit-1.0.so.2[0x4cda73c]
/usr/lib/libwebkit-1.0.so.2[0x4cec5cc]
/usr/lib/libwebkit-1.0.so.2[0x4d071da]
/usr/lib/libwebkit-1.0.so.2[0x4d16ab9]
/usr/lib/libwebkit-1.0.so.2[0x4d07438]
/usr/lib/libwebkit-1.0.so.2[0x4d0a028]
/usr/lib/libwebkit-1.0.so.2[0x4d0a3ee]
/usr/lib/libwebkit-1.0.so.2[0x4d0ac59]
/usr/lib/libwebkit-1.0.so.2[0x4d07a2b]
/usr/lib/libwebkit-1.0.so.2[0x4d0b012]
/usr/lib/libwebkit-1.0.so.2[0x4db0b3d]
/usr/lib/libwebkit-1.0.so.2[0x4db0bb6]
/usr/lib/libwebkit-1.0.so.2[0x508472f]
/lib/libglib-2.0.so.0[0x7dbc8d]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0x7db525]
/lib/libglib-2.0.so.0[0x7df268]
/lib/libglib-2.0.so.0(g_main_loop_run+0x18f)[0x7df7af]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x67bd5a9]
liferea(main+0x6e1)[0x8076181]
/lib/libc.so.6(__libc_start_main+0xe6)[0x5bacc6]
liferea[0x805c3c1]
======= Memory map: ========
00110000-00254000 r-xp 00000000 fd:00 2912321    /usr/lib/libxml2.so.2.7.7
00254000-00259000 rw-p 00144000 fd:00 2912321    /usr/lib/libxml2.so.2.7.7
00259000-0025a000 rw-p 00000000 00:00 0 
0025a000-00265000 r-xp 00000000 fd:00 2902569    /usr/lib/libpangocairo-1.0.so.0.2800.0
00265000-00266000 rw-p 0000a000 fd:00 2902569    /usr/lib/libpangocairo-1.0.so.0.2800.0
00266000-00272000 r-xp 00000000 fd:00 1973003    /lib/libnss_files-2.12.so
00272000-00273000 r--p 0000b000 fd:00 1973003    /lib/libnss_files-2.12.so
00273000-00274000 rw-p 0000c000 fd:00 1973003    /lib/libnss_files-2.12.so
00274000-00276000 r-xp 00000000 fd:00 3015029    /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00276000-00277000 rw-p 00002000 fd:00 3015029    /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00277000-0027c000 r-xp 00000000 fd:00 3019570    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0027c000-0027d000 rw-p 00004000 fd:00 3019570    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0027d000-0027f000 r-xp 00000000 fd:00 2907701    /usr/lib/libXcomposite.so.1.0.0
0027f000-00280000 rw-p 00001000 fd:00 2907701    /usr/lib/libXcomposite.so.1.0.0
00282000-00284000 r-xp 00000000 fd:00 2907702    /usr/lib/libXdamage.so.1.1.0
00284000-00285000 rw-p 00001000 fd:00 2907702    /usr/lib/libXdamage.so.1.1.0
00287000-002a7000 r-xp 00000000 fd:00 2911592    /usr/lib/libdbus-glib-1.so.2.1.0
002a7000-002a8000 rw-p 00020000 fd:00 2911592    /usr/lib/libdbus-glib-1.so.2.1.0
002a8000-0035b000 r-xp 00000000 fd:00 2909191    /usr/lib/libgdk-x11-2.0.so.0.2000.1
0035b000-0035e000 rw-p 000b2000 fd:00 2909191    /usr/lib/libgdk-x11-2.0.so.0.2000.1
0035e000-00389000 r-xp 00000000 fd:00 3026968    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00389000-0038a000 rw-p 0002b000 fd:00 3026968    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
0038a000-0038d000 r-xp 00000000 fd:00 3025508    /usr/lib/liferea/liblinotiflibnotify.so
0038d000-0038e000 rw-p 00002000 fd:00 3025508    /usr/lib/liferea/liblinotiflibnotify.so
0038e000-00390000 r-xp 00000000 fd:00 1967781    /lib/libutil-2.12.so
00390000-00391000 r--p 00001000 fd:00 1967781    /lib/libutil-2.12.so
00391000-00392000 rw-p 00002000 fd:00 1967781    /lib/libutil-2.12.so
00392000-00393000 r-xp 00000000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
00393000-00394000 r--p 00000000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
00394000-00395000 rw-p 00001000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
00397000-00398000 r-xp 00000000 00:00 0          [vdso]
00398000-003df000 r-xp 00000000 fd:00 2902059    /usr/lib/libpango-1.0.so.0.2800.0
003df000-003e1000 rw-p 00047000 fd:00 2902059    /usr/lib/libpango-1.0.so.0.2800.0
003e1000-003e7000 r-xp 00000000 fd:00 3021464    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
003e7000-003e8000 rw-p 00005000 fd:00 3021464    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
003e8000-003ed000 r-xp 00000000 fd:00 1966204    /lib/libnss_dns-2.12.so
003ed000-003ee000 r--p 00004000 fd:00 1966204    /lib/libnss_dns-2.12.so
003ee000-003ef000 rw-p 00005000 fd:00 1966204    /lib/libnss_dns-2.12.so
003ef000-003f4000 r-xp 00000000 fd:00 3021384    /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
003f4000-003f5000 rw-p 00004000 fd:00 3021384    /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
003f6000-003fa000 r-xp 00000000 fd:00 1967759    /lib/libuuid.so.1.3.0
003fa000-003fb000 rw-p 00003000 fd:00 1967759    /lib/libuuid.so.1.3.0
003fd000-0041a000 r-xp 00000000 fd:00 1967758    /lib/libgcc_s-4.4.4-20100630.so.1
0041a000-0041b000 rw-p 0001d000 fd:00 1967758    /lib/libgcc_s-4.4.4-20100630.so.1
0041b000-00481000 r-xp 00000000 fd:00 2896747    /usr/lib/libpixman-1.so.0.18.0
00481000-00484000 rw-p 00066000 fd:00 2896747    /usr/lib/libpixman-1.so.0.18.0
00484000-004b1000 r-xp 00000000 fd:00 3030047    /usr/lib/liferea/libliscrlua.so
004b1000-004b3000 rw-p 0002d000 fd:00 3030047    /usr/lib/liferea/libliscrlua.so
004b3000-004df000 r-xp 00000000 fd:00 2914307    /usr/lib/liblua-5.1.so
004df000-004e0000 rw-p 0002c000 fd:00 2914307    /usr/lib/liblua-5.1.so
004e0000-0050a000 r-xp 00000000 fd:00 2924380    /usr/lib/gio/modules/libgvfsdbus.so
0050a000-0050b000 rw-p 00029000 fd:00 2924380    /usr/lib/gio/modules/libgvfsdbus.so
0050f000-00526000 r-xp 00000000 fd:00 2911249    /usr/lib/libICE.so.6.3.0
00526000-00528000 rw-p 00016000 fd:00 2911249    /usr/lib/libICE.so.6.3.0
00528000-00529000 rw-p 00000000 00:00 0 
0052b000-00532000 r-xp 00000000 fd:00 2911250    /usr/lib/libSM.so.6.0.0
00532000-00533000 rw-p 00006000 fd:00 2911250    /usr/lib/libSM.so.6.0.0
00533000-00549000 r-xp 00000000 fd:00 2915528    /usr/lib/libgvfscommon.so.0.0.0
00549000-0054a000 rw-p 00016000 fd:00 2915528    /usr/lib/libgvfscommon.so.0.0.0
0054a000-0055b000 r-xp 00000000 fd:00 2928291    /usr/lib/mozilla/plugins/libtotem-mully-plugin.sojava version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-41.b18.fc13-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)

[1]+  Aborted                 (core dumped) liferea --debug-all
[marty@koreaboy ~]$
Comment 6 martygeek 2010-08-04 00:18:05 EDT
Package: liferea-1:1.6.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.not reproduceable, but frequent. first crash under debug mode/ dump
2.
3.


Comment
-----
HTML: HTML view: selecting "GOP Rep Doubles Down: Yes, We Ought To Execute WikiLeaks Culprit (VIDEO)"
DB: loading item 30866 (thread=0x8a74e48)
DB: loading item 30866 (thread=0x8a74e48)
DB: loading item 30866 (thread=0x8a74e48)
PERF: htmlview_render_item took 0,001s
HTML: writing 7769 bytes to HTML view
GUI: itemlist selection took 0,157s
PERF: itemlist_selection_changed took 0,157s
** (liferea:2625): DEBUG: NP_Initialize
** (liferea:2625): DEBUG: NP_Initialize succeeded
*** glibc detected *** liferea: double free or corruption (!prev): 0x08b46c60 ***
======= Backtrace: =========
/lib/libc.so.6[0x612fe1]
/lib/libglib-2.0.so.0(g_free+0x37)[0x7e3ff7]
/usr/lib/jvm/jre-1.6.0-openjdk/lib/i386/IcedTeaPlugin.so(NP_Initialize+0x769)[0xe8d1a9]
/usr/lib/libwebkit-1.0.so.2[0x505dff0]
/usr/lib/libwebkit-1.0.so.2[0x505e213]
/usr/lib/libwebkit-1.0.so.2[0x4e0210a]
/usr/lib/libwebkit-1.0.so.2[0x4dfb8e4]
/usr/lib/libwebkit-1.0.so.2[0x4dfc324]
/usr/lib/libwebkit-1.0.so.2[0x4ced6e4]
/usr/lib/libwebkit-1.0.so.2[0x50b1675]
/usr/lib/libwebkit-1.0.so.2[0x4c6eb24]
/usr/lib/libwebkit-1.0.so.2[0x4c3e798]
/usr/lib/libwebkit-1.0.so.2[0x4b70921]
/usr/lib/libwebkit-1.0.so.2[0x4c3e04f]
/usr/lib/libwebkit-1.0.so.2[0x4b4770a]
/usr/lib/libwebkit-1.0.so.2[0x4b38e5c]
/usr/lib/libwebkit-1.0.so.2[0x4b3903f]
/usr/lib/libwebkit-1.0.so.2[0x4b79582]
/usr/lib/libwebkit-1.0.so.2[0x4b7b2b0]
/usr/lib/libxml2.so.2(-0xffd2051a)[0x145ae6]
/usr/lib/libxml2.so.2(-0xffd19ee3)[0x14c11d]
/usr/lib/libxml2.so.2(xmlParseChunk+0x217)[0x14d597]
/usr/lib/libwebkit-1.0.so.2[0x4b7844c]
/usr/lib/libwebkit-1.0.so.2[0x4b764cd]
/usr/lib/libwebkit-1.0.so.2[0x4cf3bb9]
/usr/lib/libwebkit-1.0.so.2[0x4cf40e8]
/usr/lib/libwebkit-1.0.so.2[0x50b4559]
/usr/lib/libwebkit-1.0.so.2[0x4ceb508]
/usr/lib/libwebkit-1.0.so.2[0x4cda73c]
/usr/lib/libwebkit-1.0.so.2[0x4cec5cc]
/usr/lib/libwebkit-1.0.so.2[0x4d071da]
/usr/lib/libwebkit-1.0.so.2[0x4d16ab9]
/usr/lib/libwebkit-1.0.so.2[0x4d07438]
/usr/lib/libwebkit-1.0.so.2[0x4d0a028]
/usr/lib/libwebkit-1.0.so.2[0x4d0a3ee]
/usr/lib/libwebkit-1.0.so.2[0x4d0ac59]
/usr/lib/libwebkit-1.0.so.2[0x4d07a2b]
/usr/lib/libwebkit-1.0.so.2[0x4d0b012]
/usr/lib/libwebkit-1.0.so.2[0x4db0b3d]
/usr/lib/libwebkit-1.0.so.2[0x4db0bb6]
/usr/lib/libwebkit-1.0.so.2[0x508472f]
/lib/libglib-2.0.so.0[0x7dbc8d]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0x7db525]
/lib/libglib-2.0.so.0[0x7df268]
/lib/libglib-2.0.so.0(g_main_loop_run+0x18f)[0x7df7af]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x67bd5a9]
liferea(main+0x6e1)[0x8076181]
/lib/libc.so.6(__libc_start_main+0xe6)[0x5bacc6]
liferea[0x805c3c1]
======= Memory map: ========
00110000-00254000 r-xp 00000000 fd:00 2912321    /usr/lib/libxml2.so.2.7.7
00254000-00259000 rw-p 00144000 fd:00 2912321    /usr/lib/libxml2.so.2.7.7
00259000-0025a000 rw-p 00000000 00:00 0 
0025a000-00265000 r-xp 00000000 fd:00 2902569    /usr/lib/libpangocairo-1.0.so.0.2800.0
00265000-00266000 rw-p 0000a000 fd:00 2902569    /usr/lib/libpangocairo-1.0.so.0.2800.0
00266000-00272000 r-xp 00000000 fd:00 1973003    /lib/libnss_files-2.12.so
00272000-00273000 r--p 0000b000 fd:00 1973003    /lib/libnss_files-2.12.so
00273000-00274000 rw-p 0000c000 fd:00 1973003    /lib/libnss_files-2.12.so
00274000-00276000 r-xp 00000000 fd:00 3015029    /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00276000-00277000 rw-p 00002000 fd:00 3015029    /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00277000-0027c000 r-xp 00000000 fd:00 3019570    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0027c000-0027d000 rw-p 00004000 fd:00 3019570    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
0027d000-0027f000 r-xp 00000000 fd:00 2907701    /usr/lib/libXcomposite.so.1.0.0
0027f000-00280000 rw-p 00001000 fd:00 2907701    /usr/lib/libXcomposite.so.1.0.0
00282000-00284000 r-xp 00000000 fd:00 2907702    /usr/lib/libXdamage.so.1.1.0
00284000-00285000 rw-p 00001000 fd:00 2907702    /usr/lib/libXdamage.so.1.1.0
00287000-002a7000 r-xp 00000000 fd:00 2911592    /usr/lib/libdbus-glib-1.so.2.1.0
002a7000-002a8000 rw-p 00020000 fd:00 2911592    /usr/lib/libdbus-glib-1.so.2.1.0
002a8000-0035b000 r-xp 00000000 fd:00 2909191    /usr/lib/libgdk-x11-2.0.so.0.2000.1
0035b000-0035e000 rw-p 000b2000 fd:00 2909191    /usr/lib/libgdk-x11-2.0.so.0.2000.1
0035e000-00389000 r-xp 00000000 fd:00 3026968    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
00389000-0038a000 rw-p 0002b000 fd:00 3026968    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
0038a000-0038d000 r-xp 00000000 fd:00 3025508    /usr/lib/liferea/liblinotiflibnotify.so
0038d000-0038e000 rw-p 00002000 fd:00 3025508    /usr/lib/liferea/liblinotiflibnotify.so
0038e000-00390000 r-xp 00000000 fd:00 1967781    /lib/libutil-2.12.so
00390000-00391000 r--p 00001000 fd:00 1967781    /lib/libutil-2.12.so
00391000-00392000 rw-p 00002000 fd:00 1967781    /lib/libutil-2.12.so
00392000-00393000 r-xp 00000000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
00393000-00394000 r--p 00000000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
00394000-00395000 rw-p 00001000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
00397000-00398000 r-xp 00000000 00:00 0          [vdso]
00398000-003df000 r-xp 00000000 fd:00 2902059    /usr/lib/libpango-1.0.so.0.2800.0
003df000-003e1000 rw-p 00047000 fd:00 2902059    /usr/lib/libpango-1.0.so.0.2800.0
003e1000-003e7000 r-xp 00000000 fd:00 3021464    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
003e7000-003e8000 rw-p 00005000 fd:00 3021464    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
003e8000-003ed000 r-xp 00000000 fd:00 1966204    /lib/libnss_dns-2.12.so
003ed000-003ee000 r--p 00004000 fd:00 1966204    /lib/libnss_dns-2.12.so
003ee000-003ef000 rw-p 00005000 fd:00 1966204    /lib/libnss_dns-2.12.so
003ef000-003f4000 r-xp 00000000 fd:00 3021384    /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
003f4000-003f5000 rw-p 00004000 fd:00 3021384    /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
003f6000-003fa000 r-xp 00000000 fd:00 1967759    /lib/libuuid.so.1.3.0
003fa000-003fb000 rw-p 00003000 fd:00 1967759    /lib/libuuid.so.1.3.0
003fd000-0041a000 r-xp 00000000 fd:00 1967758    /lib/libgcc_s-4.4.4-20100630.so.1
0041a000-0041b000 rw-p 0001d000 fd:00 1967758    /lib/libgcc_s-4.4.4-20100630.so.1
0041b000-00481000 r-xp 00000000 fd:00 2896747    /usr/lib/libpixman-1.so.0.18.0
00481000-00484000 rw-p 00066000 fd:00 2896747    /usr/lib/libpixman-1.so.0.18.0
00484000-004b1000 r-xp 00000000 fd:00 3030047    /usr/lib/liferea/libliscrlua.so
004b1000-004b3000 rw-p 0002d000 fd:00 3030047    /usr/lib/liferea/libliscrlua.so
004b3000-004df000 r-xp 00000000 fd:00 2914307    /usr/lib/liblua-5.1.so
004df000-004e0000 rw-p 0002c000 fd:00 2914307    /usr/lib/liblua-5.1.so
004e0000-0050a000 r-xp 00000000 fd:00 2924380    /usr/lib/gio/modules/libgvfsdbus.so
0050a000-0050b000 rw-p 00029000 fd:00 2924380    /usr/lib/gio/modules/libgvfsdbus.so
0050f000-00526000 r-xp 00000000 fd:00 2911249    /usr/lib/libICE.so.6.3.0
00526000-00528000 rw-p 00016000 fd:00 2911249    /usr/lib/libICE.so.6.3.0
00528000-00529000 rw-p 00000000 00:00 0 
0052b000-00532000 r-xp 00000000 fd:00 2911250    /usr/lib/libSM.so.6.0.0
00532000-00533000 rw-p 00006000 fd:00 2911250    /usr/lib/libSM.so.6.0.0
00533000-00549000 r-xp 00000000 fd:00 2915528    /usr/lib/libgvfscommon.so.0.0.0
00549000-0054a000 rw-p 00016000 fd:00 2915528    /usr/lib/libgvfscommon.so.0.0.0
0054a000-0055b000 r-xp 00000000 fd:00 2928291    /usr/lib/mozilla/plugins/libtotem-mully-plugin.sojava version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-41.b18.fc13-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)

[1]+  Aborted                 (core dumped) liferea --debug-all
[marty@koreaboy ~]$ 



Here's the 2nd dump of my morning.  Liferea is getting to be more pain than it's worth
HTML: HTML view: selecting "Colbert: David H. Brooks' $100K Flag Belt Buckle Makes It A Patriotic Duty To Salute His Crotch (VIDEO)"
DB: loading item 30727 (thread=0x928be48)
DB: loading item 30727 (thread=0x928be48)
DB: loading item 30727 (thread=0x928be48)
PERF: htmlview_render_item took 0,001s
HTML: writing 8935 bytes to HTML view
GUI: itemlist selection took 0,162s
PERF: itemlist_selection_changed took 0,162s
** (liferea:3665): DEBUG: NP_Initialize
** (liferea:3665): DEBUG: NP_Initialize succeeded
*** glibc detected *** liferea: free(): invalid pointer: 0x09b46cf0 ***
======= Backtrace: =========
/lib/libc.so.6[0x612fe1]
/lib/libglib-2.0.so.0(g_free+0x37)[0x7e3ff7]
/lib/libglib-2.0.so.0(g_strfreev+0x20)[0x7fd150]
/usr/lib/jvm/jre-1.6.0-openjdk/lib/i386/IcedTeaPlugin.so(NP_Initialize+0x769)[0x53d1a9]
/usr/lib/libwebkit-1.0.so.2[0x505dff0]
/usr/lib/libwebkit-1.0.so.2[0x505e213]
/usr/lib/libwebkit-1.0.so.2[0x4e0210a]
/usr/lib/libwebkit-1.0.so.2[0x4dfb8e4]
/usr/lib/libwebkit-1.0.so.2[0x4dfc324]
/usr/lib/libwebkit-1.0.so.2[0x4ced6e4]
/usr/lib/libwebkit-1.0.so.2[0x50b1675]
/usr/lib/libwebkit-1.0.so.2[0x4c6eb24]
/usr/lib/libwebkit-1.0.so.2[0x4c3e798]
/usr/lib/libwebkit-1.0.so.2[0x4b70921]
/usr/lib/libwebkit-1.0.so.2[0x4c3e04f]
/usr/lib/libwebkit-1.0.so.2[0x4b4770a]
/usr/lib/libwebkit-1.0.so.2[0x4b38e5c]
/usr/lib/libwebkit-1.0.so.2[0x4b3903f]
/usr/lib/libwebkit-1.0.so.2[0x4b79582]
/usr/lib/libwebkit-1.0.so.2[0x4b7b2b0]
/usr/lib/libxml2.so.2[0x2dfae6]
/usr/lib/libxml2.so.2[0x2e611d]
/usr/lib/libxml2.so.2(xmlParseChunk+0x217)[0x2e7597]
/usr/lib/libwebkit-1.0.so.2[0x4b7844c]
/usr/lib/libwebkit-1.0.so.2[0x4b764cd]
/usr/lib/libwebkit-1.0.so.2[0x4cf3bb9]
/usr/lib/libwebkit-1.0.so.2[0x4cf40e8]
/usr/lib/libwebkit-1.0.so.2[0x50b4559]
/usr/lib/libwebkit-1.0.so.2[0x4ceb508]
/usr/lib/libwebkit-1.0.so.2[0x4cda73c]
/usr/lib/libwebkit-1.0.so.2[0x4cec5cc]
/usr/lib/libwebkit-1.0.so.2[0x4d071da]
/usr/lib/libwebkit-1.0.so.2[0x4d16ab9]
/usr/lib/libwebkit-1.0.so.2[0x4d07438]
/usr/lib/libwebkit-1.0.so.2[0x4d0a028]
/usr/lib/libwebkit-1.0.so.2[0x4d0a3ee]
/usr/lib/libwebkit-1.0.so.2[0x4d0ac59]
/usr/lib/libwebkit-1.0.so.2[0x4d07a2b]
/usr/lib/libwebkit-1.0.so.2[0x4d0b012]
/usr/lib/libwebkit-1.0.so.2[0x4db0b3d]
/usr/lib/libwebkit-1.0.so.2[0x4db0bb6]
/usr/lib/libwebkit-1.0.so.2[0x508472f]
/lib/libglib-2.0.so.0[0x7dbc8d]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1d5)[0x7db525]
/lib/libglib-2.0.so.0[0x7df268]
/lib/libglib-2.0.so.0(g_main_loop_run+0x18f)[0x7df7af]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x67bd5a9]
liferea(main+0x6e1)[0x8076181]
/lib/libc.so.6(__libc_start_main+0xe6)[0x5bacc6]
liferea[0x805c3c1]
======= Memory map: ========
00101000-001b4000 r-xp 00000000 fd:00 2909191    /usr/lib/libgdk-x11-2.0.so.0.2000.1
001b4000-001b7000 rw-p 000b2000 fd:00 2909191    /usr/lib/libgdk-x11-2.0.so.0.2000.1
001b9000-0021f000 r-xp 00000000 fd:00 2896747    /usr/lib/libpixman-1.so.0.18.0
0021f000-00222000 rw-p 00066000 fd:00 2896747    /usr/lib/libpixman-1.so.0.18.0
00224000-0022f000 r-xp 00000000 fd:00 2902569    /usr/lib/libpangocairo-1.0.so.0.2800.0
0022f000-00230000 rw-p 0000a000 fd:00 2902569    /usr/lib/libpangocairo-1.0.so.0.2800.0
00232000-00279000 r-xp 00000000 fd:00 2902059    /usr/lib/libpango-1.0.so.0.2800.0
00279000-0027b000 rw-p 00047000 fd:00 2902059    /usr/lib/libpango-1.0.so.0.2800.0
0027d000-0027f000 r-xp 00000000 fd:00 2907701    /usr/lib/libXcomposite.so.1.0.0
0027f000-00280000 rw-p 00001000 fd:00 2907701    /usr/lib/libXcomposite.so.1.0.0
00282000-00284000 r-xp 00000000 fd:00 2907702    /usr/lib/libXdamage.so.1.1.0
00284000-00285000 rw-p 00001000 fd:00 2907702    /usr/lib/libXdamage.so.1.1.0
00287000-002a7000 r-xp 00000000 fd:00 2911592    /usr/lib/libdbus-glib-1.so.2.1.0
002a7000-002a8000 rw-p 00020000 fd:00 2911592    /usr/lib/libdbus-glib-1.so.2.1.0
002aa000-003ee000 r-xp 00000000 fd:00 2912321    /usr/lib/libxml2.so.2.7.7
003ee000-003f3000 rw-p 00144000 fd:00 2912321    /usr/lib/libxml2.so.2.7.7
003f3000-003f4000 rw-p 00000000 00:00 0 
003f6000-003fa000 r-xp 00000000 fd:00 1967759    /lib/libuuid.so.1.3.0
003fa000-003fb000 rw-p 00003000 fd:00 1967759    /lib/libuuid.so.1.3.0
003fd000-0041a000 r-xp 00000000 fd:00 1967758    /lib/libgcc_s-4.4.4-20100630.so.1
0041a000-0041b000 rw-p 0001d000 fd:00 1967758    /lib/libgcc_s-4.4.4-20100630.so.1
0041b000-00427000 r-xp 00000000 fd:00 1973003    /lib/libnss_files-2.12.so
00427000-00428000 r--p 0000b000 fd:00 1973003    /lib/libnss_files-2.12.so
00428000-00429000 rw-p 0000c000 fd:00 1973003    /lib/libnss_files-2.12.so
00429000-00456000 r-xp 00000000 fd:00 3030047    /usr/lib/liferea/libliscrlua.so
00456000-00458000 rw-p 0002d000 fd:00 3030047    /usr/lib/liferea/libliscrlua.so
00458000-00484000 r-xp 00000000 fd:00 2914307    /usr/lib/liblua-5.1.so
00484000-00485000 rw-p 0002c000 fd:00 2914307    /usr/lib/liblua-5.1.so
00485000-004af000 r-xp 00000000 fd:00 2924380    /usr/lib/gio/modules/libgvfsdbus.so
004af000-004b0000 rw-p 00029000 fd:00 2924380    /usr/lib/gio/modules/libgvfsdbus.so
004b0000-004c6000 r-xp 00000000 fd:00 2915528    /usr/lib/libgvfscommon.so.0.0.0
004c6000-004c7000 rw-p 00016000 fd:00 2915528    /usr/lib/libgvfscommon.so.0.0.0
004c7000-004c9000 r-xp 00000000 fd:00 1967781    /lib/libutil-2.12.so
004c9000-004ca000 r--p 00001000 fd:00 1967781    /lib/libutil-2.12.so
004ca000-004cb000 rw-p 00002000 fd:00 1967781    /lib/libutil-2.12.so
004cb000-004d1000 r-xp 00000000 fd:00 3021464    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
004d1000-004d2000 rw-p 00005000 fd:00 3021464    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
004d2000-004d6000 r-xp 00000000 fd:00 2898782    /usr/lib/enchant/libenchant_myspell.so
004d6000-004d7000 rw-p 00003000 fd:00 2898782    /usr/lib/enchant/libenchant_myspell.so
004d7000-004d8000 r-xp 00000000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
004d8000-004d9000 r--p 00000000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
004d9000-004da000 rw-p 00001000 fd:00 2896380    /usr/lib/gconv/ISO8859-1.so
004da000-004df000 r-xp 00000000 fd:00 1966204    /lib/libnss_dns-2.12.so
004df000-004e0000 r--p 00004000 fd:00 1966204    /lib/libnss_dns-2.12.so
004e0000-004e1000 rw-p 00005000 fd:00 1966204    /lib/libnss_dns-2.12.so
004e1000-004e6000 r-xp 00000000 fd:00 3021384    /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
004e6000-004e7000 rw-p 00004000 fd:00 3021384    /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so
004e7000-004f8000 r-xp 00000000 fd:00 2928291    /usr/lib/mozilla/plugins/libtotem-mully-plugin.so
004f8000-004f9000 rw-p 00011000 fd:00 2928291    /usr/lib/mozilla/plugins/libtotem-mully-plugin.so
004f9000-004fd000 r-xp 00000000 fd:00 2911242    /usr/lib/libtotem-plparser-mini.so.17.0.0
004fd000-004fe000 rw-p 00003000 fd:00 2911242    /usr/lib/libtotem-plparser-mini.so.17.0.0
004fe000-00502000 r-xp 00000000 fd:00 3021439    /usr/lib/xulrunner-1.9.2/libxpcom.so
00502000-00503000 rw-p 00003000 fd:00 3021439    /usr/lib/xulrunner-1.9.2/libxpcom.so
00503000-0050c000 r-xp 00000000 fd:00 2927879    /usr/lib/libstartup-notification-1.so.0.0.0
0050c000-0050d000 rw-p 00008000 fd:00 2927879    /usr/lib/libstartup-notification-1.so.0.0.0
0050f000-00526000 r-xp 00000000 fd:00 2911249    /usr/lib/libICE.so.6.3.0
00526000-00528000 rw-p 00016000 fd:00 2911249    /usr/lib/libICE.so.6.3.0
00528000-00529000 rw-p 00000000 00:00 0 
0052b000-00532000 r-xp 00000000 fd:00 2911250    /usr/lib/libSM.so.6.0.0
00532000-00533000 rw-p 00006000 fd:00 2911250    /usr/lib/libSM.so.6.0.0
00533000-00560000 r-xp 00000000 fd:00 3048422    /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/IcedTeaPlugin.sojava version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-41.b18.fc13-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)
^C
[1]+  Aborted                 (core dumped) liferea --debug-all
[marty@koreaboy ~]$
Comment 7 Steven M. Parrish 2010-10-13 12:41:52 EDT
Liferea 1.6.5 has been submitted for testing on F12/F13/F14.  Closing this bug for now.  Please install the new update and if the problem returns feel free to reopen this report with additional information

Note You need to log in before you can comment on or make changes to this bug.